<?php

namespace Drupal\access_policy\Annotation;

use Drupal\Component\Annotation\Plugin;

/**
 * Defines a AccessPolicyType annotation object.
 *
 * @deprecated in access_policy:1.0.0-beta7 and is removed from access_policy:1.0.0-beta8. There is no
 *   replacement.
 *
 * @see https://www.drupal.org/project/access_policy/issues/3419014
 *
 * @Annotation
 */
class AccessPolicyType extends Plugin {

  /**
   * The plugin ID.
   *
   * @var string
   */
  public $id;

  /**
   * The human-readable name of the plugin.
   *
   * @var \Drupal\Core\Annotation\Translation
   *
   * @ingroup plugin_translatable
   */
  public $label;

  /**
   * A short description of the plugin.
   *
   * @var \Drupal\Core\Annotation\Translation
   *
   * @ingroup plugin_translatable
   */
  public $description;

  /**
   * The weight that controls the order of the policy types.
   *
   * @var int
   */
  public $weight;

  /**
   * What operations should be supported and how they are enforced.
   *
   * @var array
   */
  public $operations;

  /**
   * Access rules that should be automatically created with each policy.
   *
   * @var array
   */
  public $access_rules;

}
