<?php

namespace Drupal\access_policy\Plugin\access_policy\AccessPolicyType;

/**
 * Group access policy type.
 *
 * @AccessPolicyType(
 *   id = "group",
 *   label = @Translation("Group"),
 *   description = @Translation("Use permissions and rules to control view, edit and delete access for different groups."),
 *   weight = -3,
 *   operations = {
 *     "view" = {
 *        "permission" = true,
 *        "rules" = true,
 *     },
 *     "view all revisions" = {
 *         "permission" = true,
 *         "rules" = true,
 *      },
 *     "update" = {
 *         "permission" = true,
 *         "rules" = true,
 *      },
 *     "delete" = {
 *         "permission" = true,
 *         "rules" = true,
 *      },
 *     "view unpublished" = {
 *         "permission" = true,
 *         "rules" = true,
 *      },
 *     "manage access" = {
 *       "rules" = true,
 *      },
 *   }
 * )
 *
 * @deprecated in access_policy:1.0.0-beta7 and is removed from access_policy:1.0.0-beta8. There is no
 *   replacement.
 *
 * @see https://www.drupal.org/project/access_policy/issues/3419014
 */
class GroupAccess extends AccessPolicyTypeBase {

}
