<?php

namespace Drupal\access_policy\Plugin\access_policy\AccessPolicyType;

/**
 * Public access policy type.
 *
 * @AccessPolicyType(
 *   id = "public",
 *   label = @Translation("Public"),
 *   description = @Translation("Do not restrict view access. Control edit and delete access with permissions."),
 *   weight = -2,
 *   operations = {
 *     "view" = { },
 *     "view all revisions" = {
 *         "permission" = true,
 *      },
 *     "update" = {
 *         "permission" = true,
 *      },
 *     "delete" = {
 *         "permission" = true,
 *      },
 *     "view unpublished" = {
 *         "permission" = true,
 *      },
 *     "manage access" = { },
 *   }
 * )
 *
 * @deprecated in access_policy:1.0.0-beta7 and is removed from access_policy:1.0.0-beta8. There is no
 *   replacement.
 *
 * @see https://www.drupal.org/project/access_policy/issues/3419014
 */
class PublicAccess extends AccessPolicyTypeBase {

}
